package app

import "git.echol.cn/loser/lckt/global"

type TeacherApply struct {
	global.GVA_MODEL
	UserId     uint   `json:"userId"`
	Reason     string `json:"reason" gorm:"type:varchar(255);comment:申请理由"`
	Status     int8   `json:"status" gorm:"default:0;comment:申请状态 0 待审核 1 通过 2 拒绝"`
	ExpectRate string `json:"expectRate" gorm:"type:varchar(255);comment:期望分成比例"`
	Phone      string `json:"phone" gorm:"type:varchar(20);comment:联系电话"`
	Nickname   string `json:"nickname" gorm:"type:varchar(255);comment:讲师名称"`
	Note       string `json:"note" gorm:"type:varchar(255);comment:审核备注"`
}

func (TeacherApply) TableName() string {
	return "teacher_apply"
}
